%global momorel 1

Summary: LZO - a real-time data compression library
Name: lzo
Version: 2.03
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.oberhumer.com/opensource/lzo/

Source0: http://www.oberhumer.com/opensource/lzo/download/%{name}-%{version}.tar.gz 
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: nasm

%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *extremly* fast decompression.
Decompression requires no memory.

In addition there are slower compression levels achieving a quite
competitive compression ratio while still decompressing at
this very high speed.

%package devel
Summary: Development libraries, header files for lzo
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development libraries, Header files for LZO.

%prep
%setup -q
%build
%configure \
	--enable-shared \
	--enable-asm

%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS NEWS README THANKS doc/LZO.FAQ doc/LZO.TXT
%doc doc/LZOAPI.TXT
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.a

%changelog
* Mon May  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.03-1m)
- update 2.03

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.02-2m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.02-2m)
- %%NoSource -> NoSource

* Sat Jun  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.02-1m)
- update to 2.02

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.01-2m)
- delete libtool library

* Thu Jul 21 2005 Toru Hoshina <t@momonga-linux.org>
- (2.01-1m)
  update to 2.01

* Sat Jun 11 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.00-1m)
  update to 2.00

* Fri Oct 24 2003 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.08-1m)
- first release for momonga

